<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.byfile.save.self request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDrugreportByfileSaveSelfRequest
{
	/** 
	 * 授权企业的相关印章信息
	 **/
	private $authSealInfo;
	
	/** 
	 * 药检报告批次号
	 **/
	private $batchNo;
	
	/** 
	 * 药品ID
	 **/
	private $drugEntBaseInfoId;
	
	/** 
	 * 文件类型支持pdf,jpg,jpeg,png
	 **/
	private $fileType;
	
	/** 
	 * 药品生产日期
	 **/
	private $produceDate;
	
	/** 
	 * 上传报告企业的refEntId
	 **/
	private $refEntId;
	
	/** 
	 * 报告文件二进制字节数组
	 **/
	private $reportData;
	
	/** 
	 * 报告日期
	 **/
	private $reportDate;
	
	/** 
	 * 报告编号
	 **/
	private $reportNo;
	
	/** 
	 * 调用企业的章信息
	 **/
	private $selfSealInfo;
	
	/** 
	 * 三方用户标识
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setAuthSealInfo($authSealInfo)
	{
		$this->authSealInfo = $authSealInfo;
		$this->apiParas["auth_seal_info"] = $authSealInfo;
	}

	public function getAuthSealInfo()
	{
		return $this->authSealInfo;
	}

	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setDrugEntBaseInfoId($drugEntBaseInfoId)
	{
		$this->drugEntBaseInfoId = $drugEntBaseInfoId;
		$this->apiParas["drug_ent_base_info_id"] = $drugEntBaseInfoId;
	}

	public function getDrugEntBaseInfoId()
	{
		return $this->drugEntBaseInfoId;
	}

	public function setFileType($fileType)
	{
		$this->fileType = $fileType;
		$this->apiParas["file_type"] = $fileType;
	}

	public function getFileType()
	{
		return $this->fileType;
	}

	public function setProduceDate($produceDate)
	{
		$this->produceDate = $produceDate;
		$this->apiParas["produce_date"] = $produceDate;
	}

	public function getProduceDate()
	{
		return $this->produceDate;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportData($reportData)
	{
		$this->reportData = $reportData;
		$this->apiParas["report_data"] = $reportData;
	}

	public function getReportData()
	{
		return $this->reportData;
	}

	public function setReportDate($reportDate)
	{
		$this->reportDate = $reportDate;
		$this->apiParas["report_date"] = $reportDate;
	}

	public function getReportDate()
	{
		return $this->reportDate;
	}

	public function setReportNo($reportNo)
	{
		$this->reportNo = $reportNo;
		$this->apiParas["report_no"] = $reportNo;
	}

	public function getReportNo()
	{
		return $this->reportNo;
	}

	public function setSelfSealInfo($selfSealInfo)
	{
		$this->selfSealInfo = $selfSealInfo;
		$this->apiParas["self_seal_info"] = $selfSealInfo;
	}

	public function getSelfSealInfo()
	{
		return $this->selfSealInfo;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.byfile.save.self";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->batchNo,"batchNo");
		RequestCheckUtil::checkNotNull($this->drugEntBaseInfoId,"drugEntBaseInfoId");
		RequestCheckUtil::checkNotNull($this->fileType,"fileType");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->reportData,"reportData");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
